Upstream information

CVE-2008-1108 at MITRE

Description

Buffer overflow in Evolution 2.22.1, when the ITip Formatter plugin is disabled, allows remote attackers to execute arbitrary code via a long timezone string in an iCalendar attachment.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.6
Vector AV:N/AC:H/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity High
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 394641 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • evolution >= 2.28.2-0.30.1
  • evolution-devel >= 2.28.2-0.30.1
  • evolution-lang >= 2.28.2-0.30.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA evolution-2.28.2-0.30.1
openSUSE Tumbleweed
  • evolution >= 3.40.4-1.4
  • evolution-devel >= 3.40.4-1.4
  • evolution-lang >= 3.40.4-1.4
  • evolution-plugin-bogofilter >= 3.40.4-1.4
  • evolution-plugin-pst-import >= 3.40.4-1.4
  • evolution-plugin-spamassassin >= 3.40.4-1.4
  • evolution-plugin-text-highlight >= 3.40.4-1.4
  • glade-catalog-evolution >= 3.40.4-1.4
Patchnames:
openSUSE Tumbleweed GA evolution-3.40.4-1.4